Moderate CentOS php Update

Metadata

medium
5.0
php-5.3.3-26.el6.i686.rpm, php-5.3.3-26.el6.src.rpm, php-5.3.3-26.el6.x86_64.rpm, php-bcmath-5.3.3-26.el6.i686.rpm, php-bcmath-5.3.3-26.el6.x86_64.rpm, php-cli-5.3.3-26.el6.i686.rpm, php-cli-5.3.3-26.el6.x86_64.rpm, php-common-5.3.3-26.el6.i686.rpm, php-common-5.3.3-26.el6.x86_64.rpm, php-dba-5.3.3-26.el6.i686.rpm, php-dba-5.3.3-26.el6.x86_64.rpm, php-devel-5.3.3-26.el6.i686.rpm, php-devel-5.3.3-26.el6.x86_64.rpm, php-embedded-5.3.3-26.el6.i686.rpm, php-embedded-5.3.3-26.el6.x86_64.rpm, php-enchant-5.3.3-26.el6.i686.rpm, php-enchant-5.3.3-26.el6.x86_64.rpm, php-fpm-5.3.3-26.el6.i686.rpm, php-fpm-5.3.3-26.el6.x86_64.rpm, php-gd-5.3.3-26.el6.i686.rpm, php-gd-5.3.3-26.el6.x86_64.rpm, php-imap-5.3.3-26.el6.i686.rpm, php-imap-5.3.3-26.el6.x86_64.rpm, php-intl-5.3.3-26.el6.i686.rpm, php-intl-5.3.3-26.el6.x86_64.rpm, php-ldap-5.3.3-26.el6.i686.rpm, php-ldap-5.3.3-26.el6.x86_64.rpm, php-mbstring-5.3.3-26.el6.i686.rpm, php-mbstring-5.3.3-26.el6.x86_64.rpm, php-mysql-5.3.3-26.el6.i686.rpm, php-mysql-5.3.3-26.el6.x86_64.rpm, php-odbc-5.3.3-26.el6.i686.rpm, php-odbc-5.3.3-26.el6.x86_64.rpm, php-pdo-5.3.3-26.el6.i686.rpm, php-pdo-5.3.3-26.el6.x86_64.rpm, php-pgsql-5.3.3-26.el6.i686.rpm, php-pgsql-5.3.3-26.el6.x86_64.rpm, php-process-5.3.3-26.el6.i686.rpm, php-process-5.3.3-26.el6.x86_64.rpm, php-pspell-5.3.3-26.el6.i686.rpm, php-pspell-5.3.3-26.el6.x86_64.rpm, php-recode-5.3.3-26.el6.i686.rpm, php-recode-5.3.3-26.el6.x86_64.rpm, php-snmp-5.3.3-26.el6.i686.rpm, php-snmp-5.3.3-26.el6.x86_64.rpm, php-soap-5.3.3-26.el6.i686.rpm, php-soap-5.3.3-26.el6.x86_64.rpm, php-tidy-5.3.3-26.el6.i686.rpm, php-tidy-5.3.3-26.el6.x86_64.rpm, php-xml-5.3.3-26.el6.i686.rpm, php-xml-5.3.3-26.el6.x86_64.rpm, php-xmlrpc-5.3.3-26.el6.i686.rpm, php-xmlrpc-5.3.3-26.el6.x86_64.rpm, php-zts-5.3.3-26.el6.i686.rpm, php-zts-5.3.3-26.el6.x86_64.rpm
CVE-2006-7243, CVE-2013-1643, CVE-2013-4248
rhn.redhat.com, lists.centos.org
2013-11-26
2017-07-27 19:06
ALAS-2013-224
Moderate CentOS php53 Update
Critical CentOS php Update
Critical CentOS php Update
CVE-2013-4248 php5
CVE-2013-1643 php5
CVE-2006-7243 php5
CVE-2006-7243
CVE-2013-1643
CVE-2013-4248
2017-04-01 19:07
2017-01-05 20:11

Description


Updated php packages that fix three security issues, several bugs, and add
one enhancement are now available for Red Hat Enterprise Linux 6.

The Red Hat Security Response Team has rated this update as having moderate
security impact. Common Vulnerability Scoring System (CVSS) base scores,
which give detailed severity ratings, are available for each vulnerability
from the CVE links in the References section.

PHP is an HTML-embedded scripting language commonly used with the Apache
HTTP Server.

It was found that PHP did not properly handle file names with a NULL
character. A remote attacker could possibly use this flaw to make a PHP
script access unexpected files and bypass intended file system access
restrictions. (CVE-2006-7243)

A flaw was found in PHP's SSL client's hostname identity check when
handling certificates that contain hostnames with NULL bytes. If an
attacker was able to get a carefully crafted certificate signed by a
trusted Certificate Authority, the attacker could use the certificate to
conduct man-in-the-middle attacks to spoof SSL servers. (CVE-2013-4248)

It was found that the PHP SOAP parser allowed the expansion of external XML
entities during SOAP message parsing. A remote attacker could possibly use
this flaw to read arbitrary files that are accessible to a PHP application
using a SOAP extension. (CVE-2013-1643)

This update fixes the following bugs:

* Previously, when the allow_call_time_pass_reference setting was disabled,
a virtual host on the Apache server could terminate with a segmentation
fault when attempting to process certain PHP content. This bug has been
fixed and virtual hosts no longer crash when allow_call_time_pass_reference
is off. (BZ#892158, BZ#910466)

* Prior to this update, if an error occurred during the operation of the
fclose(), file_put_contents(), or copy() function, the function did not
report it. This could have led to data loss. With this update, the
aforementioned functions have been modified to properly report any errors.
(BZ#947429)

* The internal buffer for the SQLSTATE error code can store maximum of 5
characters. Previously, when certain calls exceeded this limit, a buffer
overflow occurred. With this update, messages longer than 5 characters are
automatically replaced with the default "HY000" string, thus preventing the
overflow. (BZ#969110)

In addition, this update adds the following enhancement:

* This update adds the following rpm macros to the php package: %__php,
%php_inidir, %php_incldir. (BZ#953814)

Users of php are advised to upgrade to these updated packages, which fix
these bugs and add this enhancement. After installing the updated packages,
the httpd daemon must be restarted for the update to take effect.
Please see https://www.redhat.com/footer/terms-of-use.html

Am I vulnerable?

The constraints below list the versions that this vulnerability is patched in, and versions that are unaffected. If a patch is ready but unrealeased, then it is pending.

Or, you can just let us figure it out for you! Appcanary continously monitor your installed packages, and tell you if any of them are vulnerable.

Sign up for monitoring

Affected package information

Release Package Patched in
6 php php-5.3.3-26.el6.i686.rpm
php php-5.3.3-26.el6.src.rpm
php php-5.3.3-26.el6.x86_64.rpm
php-bcmath php-bcmath-5.3.3-26.el6.i686.rpm
php-bcmath php-bcmath-5.3.3-26.el6.x86_64.rpm
php-cli php-cli-5.3.3-26.el6.i686.rpm
php-cli php-cli-5.3.3-26.el6.x86_64.rpm
php-common php-common-5.3.3-26.el6.i686.rpm
php-common php-common-5.3.3-26.el6.x86_64.rpm
php-dba php-dba-5.3.3-26.el6.i686.rpm
php-dba php-dba-5.3.3-26.el6.x86_64.rpm
php-devel php-devel-5.3.3-26.el6.i686.rpm
php-devel php-devel-5.3.3-26.el6.x86_64.rpm
php-embedded php-embedded-5.3.3-26.el6.i686.rpm
php-embedded php-embedded-5.3.3-26.el6.x86_64.rpm
php-enchant php-enchant-5.3.3-26.el6.i686.rpm
php-enchant php-enchant-5.3.3-26.el6.x86_64.rpm
php-fpm php-fpm-5.3.3-26.el6.i686.rpm
php-fpm php-fpm-5.3.3-26.el6.x86_64.rpm
php-gd php-gd-5.3.3-26.el6.i686.rpm
php-gd php-gd-5.3.3-26.el6.x86_64.rpm
php-imap php-imap-5.3.3-26.el6.i686.rpm
php-imap php-imap-5.3.3-26.el6.x86_64.rpm
php-intl php-intl-5.3.3-26.el6.i686.rpm
php-intl php-intl-5.3.3-26.el6.x86_64.rpm
php-ldap php-ldap-5.3.3-26.el6.i686.rpm
php-ldap php-ldap-5.3.3-26.el6.x86_64.rpm
php-mbstring php-mbstring-5.3.3-26.el6.i686.rpm
php-mbstring php-mbstring-5.3.3-26.el6.x86_64.rpm
php-mysql php-mysql-5.3.3-26.el6.i686.rpm
php-mysql php-mysql-5.3.3-26.el6.x86_64.rpm
php-odbc php-odbc-5.3.3-26.el6.i686.rpm
php-odbc php-odbc-5.3.3-26.el6.x86_64.rpm
php-pdo php-pdo-5.3.3-26.el6.i686.rpm
php-pdo php-pdo-5.3.3-26.el6.x86_64.rpm
php-pgsql php-pgsql-5.3.3-26.el6.i686.rpm
php-pgsql php-pgsql-5.3.3-26.el6.x86_64.rpm
php-process php-process-5.3.3-26.el6.i686.rpm
php-process php-process-5.3.3-26.el6.x86_64.rpm
php-pspell php-pspell-5.3.3-26.el6.i686.rpm
php-pspell php-pspell-5.3.3-26.el6.x86_64.rpm
php-recode php-recode-5.3.3-26.el6.i686.rpm
php-recode php-recode-5.3.3-26.el6.x86_64.rpm
php-snmp php-snmp-5.3.3-26.el6.i686.rpm
php-snmp php-snmp-5.3.3-26.el6.x86_64.rpm
php-soap php-soap-5.3.3-26.el6.i686.rpm
php-soap php-soap-5.3.3-26.el6.x86_64.rpm
php-tidy php-tidy-5.3.3-26.el6.i686.rpm
php-tidy php-tidy-5.3.3-26.el6.x86_64.rpm
php-xml php-xml-5.3.3-26.el6.i686.rpm
php-xml php-xml-5.3.3-26.el6.x86_64.rpm
php-xmlrpc php-xmlrpc-5.3.3-26.el6.i686.rpm
php-xmlrpc php-xmlrpc-5.3.3-26.el6.x86_64.rpm
php-zts php-zts-5.3.3-26.el6.i686.rpm
php-zts php-zts-5.3.3-26.el6.x86_64.rpm